Create User

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/user
API call form
Examples

Any new user that is created without an API token is automatically assigned to a new organization. Users can be created by anyone (even without a login token) in order to bootstrap the process to create a new organization from scratch. An organization owner can use an API token to add a new user directly to the organization. This is the only way to add users to your organization, you can't associate users to organizations after their creation.

Request parametersResponse schema
id UUID

The unique identifier of the entity

name STRING

The full name of the user.

username STRING

The username that was specified when requesting an Authorization token.

email EMAIL

E-mail address of the user.

city STRING

Residence city of the user.

theme STRING

The theme of the user interface.

flags ARRAY[STRING]

Feature flags enabled for the user.

value STRING
role STRING

Role of the user within Luzmo. Either 'viewer', 'member', 'admin' or 'owner'. Defaults to 'member' if not specified. If a suborganization is specified, an 'owner' and 'admin' roles are not allowed! Viewer role can view dashboards. Editor role (i.e. 'member') can create and adapt dashboards and share these to other users. Admin role can view, edit, share and delete all organization and sub-organization securables. Owner role can add members and set their role, view and adapt plan and billing information, view and adapt the legal & compliance information, create Integrations, create and save organization themes, create and adapt dashboards and share these to other users.

suborganization STRING

The name of the suborganization you want this user to join (this ensures that users from a suborganization cannot see members of your organization or other suborganizations). If no suborganization is not defined, the user will be added to your organization in case you've used an API token and you're the owner of the organization.

country_id STRING

The country ID of the user (for example, 'BE' or 'FR').

locale_id STRING

The default language in which the dashboards are displayed. It can be changed from the dashboard view.

Default value:en
timezone_id STRING

The timezone of the user (for example: Europe/Brussels or America/New_York).

feature_overrides ARRAY[STRING]

Enable/disable certain features.

value STRING
flag_plan STRING

The plan flag active for the user.

created_at DATETIME

RFC 3339 date time string indicating when the resource was created

updated_at DATETIME

RFC 3339 date time string indicating when the resource was last updated

Can be executed by:
Logged-in User
Organization Owner
Can be associated to:
Securables
Groups
Collections
Shareables
Organizations
Integrations
Locale
Country
Thumbnails
Account
Alert
Authorization
Plugin
Schedule
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "email": "john.doe@example.com",
  "name": "John Doe",
  "city": "BigCity",
  "phone": "+1234567890",
  "theme": "light",
  "warp_notifications": false,
  "show_formula_tutorial": true,
  "onboarding_menu_visible": true,
  "onboarding_editor_active": true,
  "onboarding_editor_progress": 50,
  "collection_order": [
    "item1",
    "item2",
    "item3"
  ],
  "company": {
    "en": "Company Name"
  },
  "role": "member",
  "suborganization": "SubOrgName",
  "plan": "basic",
  "cycle": "monthly",
  "currency": "USD",
  "campaign": "campaign_name",
  "timezone_id": "Europe/Brussels",
  "feature_overrides": [
    "!flag_alerting",
    "flag_opendataboard"
  ],
  "onboarding_integration_progress": "complete",
  "onboarding_embedded_editor_progress": 25
}